package hello;

import java.time.LocalDateTime;

import javax.jws.WebService;

@WebService
public class PierwszySerwis {
	
	public String witaj(String imie) {
		return "Witaj " + imie;
	}
	
	public String ktoraGodzina() {
		return LocalDateTime.now().toString();
	}
	
	public long oblicz(long x, long y, String operacja) {
		switch(operacja) {
			case "+": return x + y;
			case "-": return x - y;
			case "*": return x * y;
			case "/": return x / y;
			default: throw new IllegalArgumentException("Nieznana operacja " + operacja);
		}
	}
}
